org.springframework.web.reactive.result.view

## Interface Rendering.Builder<B extends Rendering.Builder<B>>

Type Parameters:
  `B` - a self reference to the builder type

All Known Subinterfaces:
  Rendering.RedirectBuilder

Enclosing interface:
  Rendering

    public static interface Rendering.Builder<B extends Rendering.Builder<B>>

Defines a builder for `Rendering`.

### Method Summary

All Methods Instance Methods Abstract Methods
`Rendering` `build()` Builder the `Rendering` instance.
`B` `header(String headerName, String... headerValues)` Specify a header to add to the response.
`B` `headers(org.springframework.http.HttpHeaders headers)` Specify headers to add to the response.
`B` `model(Map<String,?> map)` Add the given attributes to the model.
`B` `modelAttribute(Object value)` Add an attribute to the model using a `generated name`.
`B` `modelAttribute(String name, Object value)` Add the given model attribute with the supplied name.
`B` `modelAttributes(Object... values)` Add all given attributes to the model using `generated names`.
`B` `status(org.springframework.http.HttpStatus status)` Specify the status to use for the response.

### Method Detail

#### modelAttribute

    B modelAttribute(String name,
                     Object value)

Add the given model attribute with the supplied name.

See Also:
  `Model.addAttribute(String, Object)`

#### modelAttribute

    B modelAttribute(Object value)

Add an attribute to the model using a `generated name`.

See Also:
  `Model.addAttribute(Object)`

#### modelAttributes

    B modelAttributes(Object... values)

Add all given attributes to the model using `generated names`.

See Also:
  `Model.addAllAttributes(Collection)`

#### model

    B model(Map<String,?> map)

Add the given attributes to the model.

See Also:
  `Model.addAllAttributes(Map)`

#### status

    B status(org.springframework.http.HttpStatus status)

Specify the status to use for the response.

#### header

    B header(String headerName,
             String... headerValues)

Specify a header to add to the response.

#### headers

    B headers(org.springframework.http.HttpHeaders headers)

Specify headers to add to the response.

#### build

    Rendering build()

Builder the `Rendering` instance.